# CAcert developer documentation

This is a [Hugo](https://gohugo.io/) project for
[CAcert](https://www.cacert.org/) developer documentation.

## Building the site

```shell
hugo
```

## Running local Hugo server

```shell
hugo server
```

## ADR support

The project contains a small Python script `hugoadr` to support [Architectural
Decision Records](https://adr.github.io/) inside the documentation site. To
create a new ADR template call:

```shell
./hugoadr "Title of the ADR"
```
