---
title: "Developer documentation"
date: 2023-05-20T16:39:58+02:00
draft: false
---
## Welcome to the CAcert developer documentation

The goal of this site is to provide developers with the information they need
to work on several CAcert applications.

Find [Architectural Decision Records](adrs), [Blog Posts](posts) and
information ordered by [Topics](topics).

## ADR support

The [project](https://code.cacert.org/cacert/cacert-devdocs) contains a small
Python script `hugoadr` to support [Architectural Decision
Records](https://adr.github.io/) inside the documentation site. To create a
new ADR template call:

```shell
./hugoadr "Title of the ADR"
```
