---
{{- $num := index .Site.Data.adrs.current "number" -}}
{{- $title := index .Site.Data.adrs.index $num "name" -}}
title: "{{ $num }}. {{ $title }}"
date: {{ .Date }}
draft: true
topics:
- ADR
---
# {{ $num }}. {{ $title }}

Date: {{ dateFormat "2006-01-02" .Date }}

## Status

DRAFT

## Context

The issue motivating this decision, and any context that influences or
constrains the decision.

## Decision

The change that we're proposing or have agreed to implement.

## Consequences

What becomes easier or more difficult to do and any risks introduced by the
change that will need to be mitigated